Edit

Delete bucket

Namespace: microsoft.graph

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Delete a bucket object.

Permissions

Choose the permission or permissions marked as least privileged for this API. Use a higher privileged permission or permissions only if your app requires it. For details about delegated and application permissions, see Permission types. To learn more about these permissions, see the permissions reference.

Permission type Least privileged permission Higher privileged permissions
Delegated (work or school account) Not supported. Not supported.
Delegated (personal Microsoft account) Not supported. Not supported.
Application Not supported. Not supported.

HTTP request

DELETE /planner/plans_v2/{planId}/buckets/{bucketId}

Request headers

Name Description
Authorization Bearer {token}. Required. Learn more about authentication and authorization.
If-Match The complete ETag of the resource to update or delete. Required.

Use the complete ETag returned by the latest read of this resource as the If-Match value. Don't construct or compare ETags yourself. A missing, invalid, or no-longer-usable ETag results in 412 Precondition Failed. A conflicting change can result in 409 Conflict; read the resource again and reconcile the changes before retrying. An older ETag doesn't necessarily fail when the service can merge nonconflicting changes.

Request body

Don't supply a request body for this method.

Response

If successful, this method returns a 204 No Content response code.

Examples

Request

The following example shows a request.

DELETE https://graph.microsoft.com/beta/planner/plans_v2/{planId}/buckets/{bucketId}
If-Match: {etag}

Response

The following example shows the response.

HTTP/1.1 204 No Content